org.apache.nutch.protocol.httpclient

## Class DummyX509TrustManager

- java.lang.Object
- - org.apache.nutch.protocol.httpclient.DummyX509TrustManager

- All Implemented Interfaces:
    javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

      public class DummyX509TrustManager
      extends java.lang.Object
      implements javax.net.ssl.X509TrustManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyX509TrustManager(java.security.KeyStore keystore)` Constructor for DummyX509TrustManager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkClientTrusted(java.security.cert.X509Certificate[] arg0, java.lang.String arg1)`
    `void` | `checkServerTrusted(java.security.cert.X509Certificate[] arg0, java.lang.String arg1)`
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()`
    `boolean` | `isClientTrusted(java.security.cert.X509Certificate[] certificates)`
    `boolean` | `isServerTrusted(java.security.cert.X509Certificate[] certificates)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyX509TrustManager

          public DummyX509TrustManager(java.security.KeyStore keystore)
                                throws java.security.NoSuchAlgorithmException,
                                       java.security.KeyStoreException

      Constructor for DummyX509TrustManager.
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.KeyStoreException`

  - ### Method Detail

    - #### isClientTrusted

          public boolean isClientTrusted(java.security.cert.X509Certificate[] certificates)

      See Also:
        `X509TrustManager.checkClientTrusted(X509Certificate[], String)`

    - #### isServerTrusted

          public boolean isServerTrusted(java.security.cert.X509Certificate[] certificates)

      See Also:
        `X509TrustManager.checkServerTrusted(X509Certificate[], String)`

    - #### getAcceptedIssuers

          public java.security.cert.X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`
      See Also:
        `X509TrustManager.getAcceptedIssuers()`

    - #### checkClientTrusted

          public void checkClientTrusted(java.security.cert.X509Certificate[] arg0,
                                         java.lang.String arg1)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted(java.security.cert.X509Certificate[] arg0,
                                         java.lang.String arg1)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

Copyright © 2019 The Apache Software Foundation